%define tarname Pygments
%define version	0.10
%define rel	1

Name:           python-pygments
Version:        %version
Release:        %mkrel %rel
Summary:        Syntax highlighting package written in Python
Group:          Development/Python
License:        BSD
URL:            http://pygments.org/
Source0:        http://pypi.python.org/packages/source/P/%{tarname}/%{tarname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  python-devel
BuildArch: 	noarch

%description
Pygments is a syntax highlighting package written in Python.  It is a
generic syntax highlighter for general use in all kinds of software
such as forum systems, wikis or other applications that need to
prettify source code.  Highlights are:

* a wide range of common languages and markup formats is supported
* special attention is paid to details, increasing quality by a fair amount
* support for new languages and formats are added easily
* a number of output formats, presently HTML, LaTeX, RTF, SVG and ANSI
  sequences
* it is usable as a command-line tool and as a library
* ... and it highlights even Brainf*ck!

%prep
%setup -q -n %{tarname}-%{version}

%build
%{__python} setup.py build

%install
%__rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root=%{buildroot} --record=FILELIST
 
%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root,-)
%doc AUTHORS CHANGES LICENSE TODO docs/build/*.html


%changelog
* Tue Aug 19 2008 Lev Givon <lev@mandriva.org> 0.10-1mdv2008.0
+ Revision: 274019
- Update to 0.10.

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9-5mdv2009.0
+ Revision: 259771
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9-4mdv2009.0
+ Revision: 247598
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9-2mdv2008.1
+ Revision: 171064
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9-1mdv2008.1
+ Revision: 100733
- import python-pygments


